import java.util.*;
/**
 * SimpleCollection is an example of using Collections.
 * This code is taken from an example from Thinking in Java, Chapter 9.
 * It has been slightly modified to show the use of various Collection
 * classes.
 */
public class SimpleCollection  {
	/**
	 * This method creates a Collection object of some type and saves a
	 * reference to it in a Collection variable.  The add method is used
	 * to put new strings in the Collection.  An iterator is used to step
	 * through all the elements of the collection.  Note that
	 * we can change the type of collection to an ArrayList, a LinkedList, a
	 * HashSet or a TreeSet just by changing the constructor that we call.
	 * @param args arguments are ignored in this example
	 */
	public static void main(String[] args) {
		Collection c;
		c = new ArrayList();
		//		c = new LinkedList();
		//		c = new HashSet();
		//		c = new TreeSet();
		System.out.println(c.getClass().getName());
		for (int i=1; i <= 10; i++) 
			c.add(i + " * " + i + " = "+i*i);
		
		Iterator iter = c.iterator();
		while (iter.hasNext())
			System.out.println(iter.next());
	}
	
}

